# Fetching a list of Account Locations

This endpoint returns structured Account Location objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the account_locations top-level JSON key.
Please see our Response Format section for more information.

Endpoint: GET /account_locations
Version: 1.0.0

## Query parameters:

  - `archived` (string)
    Only includes archived account locations, based on the specified option. Options are 'only', 'exclude', or 'include'.

  - `only` (string)
    Allows you to request one or more resources directly by ID. Multiple IDs can be supplied
in a comma separated list, like GET /api/v1/workspaces.json?only=5,6,7.

  - `order` (string)
    Supply order with the name of a valid sort field for the endpoint and a direction.

Valid values: name:asc and name:desc.

  - `page` (integer)

  - `per_page` (integer)

  - `workspace_id` (integer)
    Returns account locations for the account on the specified workspace.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `account_locations` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


